<?php

namespace Simplyin\Simplyin_W_Plugin\Lib\Session;

use WC_Session;

class Simplyin_Woocommerce_Session_Adapter {

	private WC_Session $wc_session;


	public function __construct() {
		$this->wc_session = WC()->session;
	}


	public function get( string $key ) {
		return $this->wc_session->get( $key );
	}

	public function set( string $key, $value ) {
		$this->wc_session->set( $key, $value );
	}
}
